<?php
defined('_JEXEC') or die;

use Joomla\CMS\Plugin\CMSPlugin;
use Joomla\CMS\Factory;
use Joomla\CMS\Form\Form;
use Joomla\CMS\Log\Log;

class PlgSystemHidecontactfields extends CMSPlugin
{
    protected $app;

    public function onContentPrepareForm($form, $data)
    {
        // Check if we are in the admin area
        if (!$this->app->isClient('administrator'))
        {
            return true;
        }

        // Check that we have a valid form object
        if (!($form instanceof Form))
        {
            return true;
        }

        // Get the form name
        $formName = $form->getName();

        // List of form names to target
        $targetedForms = [
            'com_contact.contact',
        ];

        // Only process forms we are interested in
        if (!in_array($formName, $targetedForms))
        {
            return true;
        }

        // Fields to disable
        $fieldsToDisable = ['fax', 'sortname1', 'sortname2', 'sortname3'];

        // Disable the fields
        foreach ($fieldsToDisable as $field)
        {
             $form->setFieldAttribute($field, 'type', 'hidden'); // Ajouté pour rendre le champ en lecture seule
        }

        return true;
    }
}
